API Reference
Complete Large File Upload
Call this after all TUS chunks have been uploaded. It validates the file, moves it to permanent storage, and returns the file record. This consumes the upload session.
POST
Upload session ID
application/json- body
upload_id*stringUpload session ID that has finished uploading all chunks
OK
application/json- response
code?integerdata?message?stringcurl -X POST 'https://s.ee/api/v1/file/large-file/complete' \ -H 'Authorization: string' \ -H 'Content-Type: application/json' \ -d '{ "upload_id": "string"}'Example Response200
{ "code": 0, "data": { "file": { "created_at": 0, "delete": "string", "file_id": 0, "filename": "string", "hash": "string", "height": 0, "mime_type": "string", "page": "string", "path": "string", "size": 0, "storename": "string", "thumb_url": "string", "upload_status": 0, "url": "string", "width": 0 }, "short_link": "string" }, "message": "string"}